CVE-2021-38495

NameCVE-2021-38495
DescriptionMozilla developers reported memory safety bugs present in Thunderbird 78.13.0. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code. This vulnerability affects Thunderbird < 91.1 and Firefox ESR < 91.1.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
thunderbird (PTS)buster1:78.14.0-1~deb10u1fixed
buster (security)1:91.12.0-1~deb10u1fixed
bullseye1:91.10.0-1~deb11u1fixed
bullseye (security)1:91.12.0-1~deb11u1fixed
bookworm1:91.10.0-1fixed
sid1:102.1.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
thunderbirdsource(unstable)(not affected)

Notes

- thunderbird <not-affected> (Vulnerable code introduced later)
https://www.mozilla.org/en-US/security/advisories/mfsa2021-41/#CVE-2021-38495

Search for package or bug name: Reporting problems